%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qpxtool
Version:	0.7.2
Release:	%mkrel 1
Summary:	CD/DVD Drive Quality Checking
Group:		System/Libraries
License:	GPLv2
URL:		http://qpxtool.sourceforge.net/
Source0:	http://download.sourceforge.net/qpxtool/qpxtool-%{version}.tar.xz
BuildRequires:	qt4-devel
BuildRequires:	libpng-devel

%description
QPxTool is the linux way to get full control over your CD/DVD drives.

It is the Open Source Solution which intends to give you access to all
available Quality Checks (Q-Checks) on written and blank media, that are
available for your drive. This will help you to find the right media and the
optimized writing speed for your hardware, which will increase the chance for
a long data lifetime.

Includes tool to update your firmware (firmware not included),


%package devel
Group:		Development/Libraries
Summary:	Development files for qpxtool
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
Development files for qpxtool.

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
%make

%install
rm -rf %buildroot
%makeinstall_std

install -m 755 gui/qpxtool %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 gui/qpxtool.desktop %{buildroot}%{_datadir}/applications

install -d -m 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 gui/images/q.png %{buildroot}%{_datadir}/pixmaps/qpxtool.png

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/qscan
%{_bindir}/qscand
%{_bindir}/f1tattoo
%{_bindir}/cdvdcontrol
%{_bindir}/readdvd
%{_bindir}/qpxtool
%{_sbindir}/pxfw
%{_mandir}/man8/pxfw.8*
%{_mandir}/man1/cdvdcontrol.1*
%{_mandir}/man1/f1tattoo.1*
%{_mandir}/man1/qscan.1*
%{_mandir}/man1/readdvd.1*
%{_mandir}/man1/qpxtool.1*
%{_mandir}/man1/qscand.1*
%{_datadir}/applications/qpxtool.desktop
%{_datadir}/pixmaps/qpxtool.png
%{_datadir}/qpxtool/
%{_libdir}/qpxtool/
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files devel
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Fri Aug 15 2014 bb <bb> 0.7.2-1pclos2014
- update
